#
# spec file for package optaplanner
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           optaplanner
Version:        7.17.0
Release:        6.46.uyuni3
License:        Apache-2.0
Summary:        A Java library to solve planning problems
URL:            https://www.optaplanner.org
Group:          Development/Libraries/Java
Source0:        7.17.0.Final.tar.gz
Source1:        build.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires: xmvn-tools
BuildRequires: xmvn-minimal
BuildRequires:  java-devel >= 11
BuildRequires:  xz
BuildArch:      noarch
Provides:       mvn(org.optaplanner:optaplanner-core) == 7.17.0
Requires:       java >= 11
Requires:       mvn(org.drools:drools-compiler) == 7.17.0
Requires:       mvn(org.drools:drools-core) == 7.17.0

%description
OptaPlanner solves planning problems. This lightweight, embeddable planning engine implements powerful and scalable algorithms to optimize business resource scheduling and planning.

%prep
%setup -q -c -n src
cp -f %{SOURCE1} .

%build
cd ..
sh src/build.sh

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
mkdir -p %{buildroot}%{_javadir}
cp -a optaplanner-7.17.0.Final/optaplanner-core/target/optaplanner-core-7.17.0.Final.jar %{buildroot}%{_javadir}/optaplanner-core-7.17.0.Final.jar
ln -sf optaplanner-core-7.17.0.Final.jar %{buildroot}%{_javadir}/optaplanner-core.jar

%files
%defattr(-,root,root)
%license optaplanner-7.17.0.Final/LICENSE-ASL-2.0.txt
%{_javadir}/*

%changelog
* Wed Jun  8 2022 Julio González Gil <jgonzalez@suse.com>
- Declare the LICENSE file as license and not doc
* Sat Nov 28 2020 Michael Calmer <mc@suse.com>
- build always with java 11 or higher
* Tue Sep  8 2020 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Do not exclude aarch64
* Wed Mar  6 2019 Frantisek Kobzik <fkobzik@suse.com>
- Update Optaplanner to 7.17.0, that involves following changes:
- Removed:
  * 6.3.0.Final-jdk9.patch
- Release notes:
  https://issues.jboss.org/secure/ConfigureReport!default.jspa?selectedProjectId=12313221&projectOrFilterId=project-12313221&projectOrFilterName=OptaPlanner&reportKey=org.jboss.labs.jira.plugin.release-notes-report-plugin:releasenotes
* Wed Nov  8 2017 jgonzalez@suse.com
- Fix build for JDK9
- Add:
  * 6.3.0.Final-jdk9.patch
* Mon Nov  9 2015 moio@suse.com
- Initial version
